levelshots/UJE_secret_base_cc_automap
{
    nopicmip
    nocompress
    nomipmaps
    {
        clampmap levelshots/UJE_secret_base_cc.tga
        depthFunc equal
        rgbGen identity
    }
}

levelshots/UJE_secret_base_cc_trans
{
    nopicmip
    nocompress
    nomipmaps
    {
        clampmap levelshots/UJE_secret_base_cc.tga
        blendfunc blend
        rgbGen identity
        alphaGen vertex
    }
}

//UJE_sky
textures/UJE_secret_base/skybox
{
	qer_editorimage	textures/UJE_secret_base/sky_clouds.tga

	q3map_sunExt 1 .96 .47 100 180 80 2 16
	q3map_skyLight 60 3
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	
	skyparms textures/UJE_secret_base/sky/sky 512 -
	{	
		map textures/UJE_secret_base/sky_clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.0015 -0.0003
		rgbGen identityLighting
	}
	{
		map textures/UJE_secret_base/sky_mask.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform	0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}
//--- water
// de base texture
textures/UJE_secret_base/water_base
{
	nocompress
	qer_editorimage textures/UJE_secret_base/water.tga
	qer_trans .40

	q3map_globaltexture
	q3map_nonplanar
	q3map_nofog

	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
//	surfaceparm pointlight
}

textures/UJE_secret_base/UJE_water
{
	q3map_baseshader textures/UJE_secret_base/water_base
	qer_trans .40

	qer_editorimage textures/UJE_secret_base/water.tga

	cull none

	tessSize 512
	deformVertexes wave 224 sin 0 10 0.5 0.23

	{ 
		map textures/UJE_secret_base/water.tga
		rgbGen identity
		blendFunc blend
		alphaGen const 0.85
		depthWrite
		tcmod scale 0.3 0.25
		tcmod turb 0 0.01 0 0.15
		tcmod scroll 0.004 0.003
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		depthFunc equal	
	}
	{
		map textures/UJE_secret_base/water_env.tga

		blendfunc gl_src_alpha gl_one
		alphaGen const 0.05
		tcGen environment
	}
}
textures/UJE_secret_base/slinger		// Used mainly on cliff edges
{
	qer_editorimage textures/UJE_secret_base/slinger.tga
	q3map_backShader textures/UJE_secret_base/slinger_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/UJE_secret_base/slinger.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/UJE_secret_base/slinger_back
{
	qer_editorimage textures/UJE_secret_base/slinger.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/UJE_secret_base/slinger.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}

textures/UJE_secret_base/totrain

{
	qer_editorimage textures/UJE_secret_base/trein.jpg
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks

	polygonOffset
	sort decal

	{
		map textures/UJE_secret_base/trein.jpg
     		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
	}
}
textures/UJE_secret_base/toparts

{
	qer_editorimage textures/UJE_secret_base/parts.jpg
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks

	polygonOffset
	sort decal

	{
		map textures/UJE_secret_base/parts.jpg
     		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
	}
}
textures/UJE_secret_base/objective

{
	qer_editorimage textures/UJE_secret_base/objective.jpg
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks

	polygonOffset
	sort decal

	{
		map textures/UJE_secret_base/objective.jpg
     		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
	}
}
textures/UJE_secret_base/uje_tools
{
	qer_trans 0.85
	qer_editorimage textures/UJE_secret_base/tools.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/UJE_secret_base/tools.tga
}

textures/UJE_secret_base/cm_dynamite
{
	qer_trans 0.85
	qer_editorimage textures/UJE_secret_base/cm_dynamite.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/UJE_secret_base/cm_dynamite.tga
}
textures/UJE_secret_base/uje_trein
{
	qer_trans 0.85
	qer_editorimage textures/UJE_secret_base/trein.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/UJE_secret_base/trein.tga
}
textures/lights/light_tp_m07
{
	qer_editorimage textures/lights/light_tp_m07.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m07.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m07off.tga
		blendFunc GL_ONE GL_ONE
	}
}
textures/lights/light_tp_m06o
{
	qer_editorimage textures/lights/light_tp_m06o.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m06o.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m06off.tga
		blendFunc GL_ONE GL_ONE
	}
}
//---
models/mapobjects/ktrees/05bark
{
	q3map_clipModel
	surfaceparm woodsteps
	surfaceparm nomarks
	implicitMap -
}
models/mapobjects/ktrees/ttrunk
{
	q3map_clipModel
	surfaceparm woodsteps
	surfaceparm nomarks
	implicitMap -
}
models/mapobjects/ktrees/12branch
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}
models/mapobjects/ktrees/ttree
{
	qer_alphaFunc gequal 0.5
	nopicmip
	nomipmaps
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes wave 10 sin 0 2 0 0.2
	implicitMask -
}
